HTTP API

Message Queue Publishing

POST/api/v1/mq/topics/{topic_name}/messages
POST
/api/v1/mq/topics/{topic_name}/messages

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

topic_name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to publish a single message to a topic

Response Body

application/json

curl -X POST "https://example.com/api/v1/mq/topics/string/messages" \  -H "Content-Type: application/json" \  -d '{    "body": null  }'
{  "delivered_to_queues": 0,  "message_id": "string",  "published_at": "2019-08-24T14:15:22Z",  "sequence_number": "string"}
POST/api/v1/mq/topics/{topic_name}/messages/batch
POST
/api/v1/mq/topics/{topic_name}/messages/batch

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

topic_name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to publish multiple messages in a batch

Response Body

application/json

curl -X POST "https://example.com/api/v1/mq/topics/string/messages/batch" \  -H "Content-Type: application/json" \  -d '{    "messages": [      {        "body": null      }    ]  }'
{  "failed": [    {      "error": "string",      "index": 0,      "message": "string"    }  ],  "successful": [    {      "message_id": "string",      "sequence_number": "string"    }  ]}

On this page